"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantType(object):
    """
    Type of variation, which depends mostly on its length. <ul> <li>SNVs
    involve a single nucleotide, without changes in length</li>
    <li>MNVs involve multiple nucleotides, without changes in
    length</li> <li>Indels are insertions or deletions of less than
    SV_THRESHOLD (50) nucleotides</li> <li>Structural variations are
    large changes of more than SV_THRESHOLD nucleotides</li>
    <li>Copy-number variations alter the number of copies of a
    region</li> </ul>
    """

    SNV = "SNV"
    MNV = "MNV"
    INDEL = "INDEL"
    SV = "SV"
    INSERTION = "INSERTION"
    DELETION = "DELETION"
    TRANSLOCATION = "TRANSLOCATION"
    INVERSION = "INVERSION"
    COPY_NUMBER = "COPY_NUMBER"
    COPY_NUMBER_GAIN = "COPY_NUMBER_GAIN"
    COPY_NUMBER_LOSS = "COPY_NUMBER_LOSS"
    DUPLICATION = "DUPLICATION"
    TANDEM_DUPLICATION = "TANDEM_DUPLICATION"
    BREAKEND = "BREAKEND"
    NO_VARIATION = "NO_VARIATION"
    SYMBOLIC = "SYMBOLIC"
    MIXED = "MIXED"
    SNP = "SNP"
    MNP = "MNP"
    CNV = "CNV"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
